#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libcap
Version		:	2.69
Release		:	17.2.0.rel%{?dist}
Summary		:	A library for editing typed command lines
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+ or BSD
URL		:	https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Requires	:	glibc
#-----------------------------------------------------------------------------
%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_sbindir}/capsh
%{_sbindir}/getcap
%{_sbindir}/getpcaps
%{_sbindir}/setcap
%{_libdir}/%{name}.so.*
%{_libdir}/security/pam_cap.so
%{_libdir}/libpsx.so.*
%{_mandir}/man1/*.1.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%package		devel
Summary		:	Development files for libcap

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development files (Headers, etc) for libcap.
 
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.
 
Install libcap-devel if you want to develop or compile applications using
libcap.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/sys/capability.h
%{_includedir}/sys/psx_syscall.h
%{_libdir}/%{name}.so
%{_libdir}/libpsx.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/libpsx.pc
%{_mandir}/man3/*.3.gz

#=============================================================================
%package		static
Summary		:	Static libraries for libcap development

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		static
The libcap-static package contains static libraries needed
to develop programs that use libcap and need to be statically
linked. 
 
libcap is a library for getting and setting POSIX.1e
(formerly POSIX 6) draft 15 capabilities.
 
#-----------------------------------------------------------------------------
%files			static
%defattr(-,root,root,-)
%{_libdir}/%{name}.a
%{_libdir}/libpsx.a

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	lib=lib						\
	prefix=%{_prefix}				\
	LIBDIR=%{_libdir}				\
	SBINDIR=%{_sbindir}				\
	INCDIR=%{_includedir}				\
	MANDIR=%{_mandir}				\
	PKGCONFIGDIR=%{_libdir}/pkgconfig/		\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	RAISE_SETFCAP=no				\
	DESTDIR=%{buildroot}				\
	LIBDIR=%{_libdir}				\
	SBINDIR=%{_sbindir}				\
	PKGCONFIGDIR=%{_libdir}/pkgconfig/		\
	install

chmod +x %{buildroot}/%{_libdir}/*.so.*


#-----------------------------------------------------------------------------
%changelog
